## ros-jazzy-tracetools-launch 8.2.2

=== debian/changelog ===
ros-jazzy-tracetools-launch (8.2.2-1bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-tracetools-launch (8.2.1-1bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-tracetools-launch (8.2.0-1bookworm) bookworm; urgency=high

  * Replace all occurences of index.ros.org (#114 <https://github.com/ros2/ros2_tracing/issues/114>)
  * Contributors: Chris Lalancette

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-tracetools-launch (8.1.0-1bookworm) bookworm; urgency=high

  * Use single underscore for private vars in Python (#92 <https://github.com/ros2/ros2_tracing/issues/92>)
  * Improve tracing configuration error reporting (#85 <https://github.com/ros2/ros2_tracing/issues/85>)
  * Fix warnings when using mypy 1.8.0. (#89 <https://github.com/ros2/ros2_tracing/issues/89>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-tracetools-launch (8.0.0-1bookworm) bookworm; urgency=high

  * Remove extra single quote in LdPreload debug log (#79 <https://github.com/ros2/ros2_tracing/issues/79>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 22 Jan 2024 16:00:00 -0000

ros-jazzy-tracetools-launch (7.1.0-1bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-jazzy-tracetools-launch (7.0.0-1bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 08 Jun 2023 16:00:00 -0000

ros-jazzy-tracetools-launch (6.4.1-1bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-tracetools-launch (6.4.0-1bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools-launch (6.3.0-1bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools-launch (6.2.0-1bookworm) bookworm; urgency=high

  * Error out if trace already exists unless 'append' option is used (#58 <https://github.com/ros2/ros2_tracing/issues/58>)
  * Improve 'ros2 trace' command error handling & add end-to-end tests (#54 <https://github.com/ros2/ros2_tracing/issues/54>)
  * Make subbuffer size configurable with Trace action (#51 <https://github.com/ros2/ros2_tracing/issues/51>)
  * Contributors: Christophe Bedard, Christopher Wecht

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools-launch (6.1.0-1bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 12 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools-launch (6.0.0-1bookworm) bookworm; urgency=high

  * Enable document generation using rosdoc2 for ament_python pkgs (#50 <https://github.com/ros2/ros2_tracing/issues/50>)
  * Contributors: Yadu

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-tracetools-launch (5.1.0-1bookworm) bookworm; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 01 Mar 2023 16:00:00 -0000

ros-jazzy-tracetools-launch (5.0.0-1bookworm) bookworm; urgency=high

  * Remove deprecated context_names parameter (#38 <https://github.com/ros2/ros2_tracing/issues/38>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-tracetools-launch (4.0.0-1bookworm) bookworm; urgency=high

  * Disable kernel tracing by default
  * Don't require kernel tracer and detect when it's not installed
  * Add support for preloading pthread and dl instrumentation shared libs
  * Remove profile_fast option and consider LD_PRELOADing both libs
  * Improve event matching for shared lib preloading
  * Improve LdPreload action's lib-finding function and add proper tests
  * Fix multiple LdPreload actions not working and add test
  * Deprecate 'context_names' param and replace with 'context_fields'
  * Support per-domain context fields for the Trace action
  * Improve LdPreload.get_shared_lib_path() for when a static lib may exist
  * Move some tests from tracetools_launch to test_tracetools_launch
  * Expose Trace action as frontend action and support substitutions
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 19 Jan 2022 16:00:00 -0000

ros-jazzy-tracetools-launch (2.1.0-1bookworm) bookworm; urgency=high

  * Allow configuring tracing directory through environment variables
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 12 Jan 2021 16:00:00 -0000

ros-jazzy-tracetools-launch (1.0.1-1bookworm) bookworm; urgency=high

  * Deprecation fixes
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 26 May 2020 16:00:00 -0000

ros-jazzy-tracetools-launch (1.0.0-1bookworm) bookworm; urgency=high

  * Document what kind of lib_name LdPreload expects
  * Add logs for LdPreload action on success or failure
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 23 Apr 2020 16:00:00 -0000

ros-jazzy-tracetools-launch (0.3.0-1bookworm) bookworm; urgency=high

  * Add logs for trace action init and fini
  * Expose context enabling through CLI and Trace action
  * Extract LdPreload action from Trace action to support preloading any lib
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 03 Mar 2020 16:00:00 -0000

ros-jazzy-tracetools-launch (0.2.12-1bookworm) bookworm; urgency=high

  * Use imperative mood in constructor docstring.

